<H1>Todo</H1>
<div class="container">
    <div class="alert alert-warning" *ngIf="todoForm.invalid">Enter valid values</div>
<form (ngSubmit)="!todoForm.invalid && saveTodo()" #todoForm="ngForm">
        <fieldset class="form-group">
            <label>Description</label>
            <input type="text" [(ngModel)]="todo.description" class="form-control" name="description"
                required="required">

        </fieldset>

        <fieldset class="form-group">
            <label>Target Date</label>
            <input type="date" [ngModel]="todo.targetDate | date: 'yyyy-MM-dd'"
                (ngModelChange)="todo.targetDate = $event" class="form-control" name="targetDate" required="required">
        </fieldset>

        <button type="submit" class="btn btn-success">Save</button>
    </form>
</div>